View Issue Details

IDProjectCategoryView StatusLast Update
0005640SOGoActiveSyncpublic2022-11-23 13:30
Reporterales.komarek Assigned Tosmizrahi  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Product Version5.7.1 
Fixed in Version5.8.0 
Summary0005640: Outlook 2016/2021 over ActiveSync sends email only first recipient
Description

Hello.

We have installed SOGo v5.7.1.20221110-1 on RockyLinux 8.6 and this week we detected trouble with sending emails with clients Outlook 2016/2021 connected over ActiveSync.
If email message has more recipients in fields (To or CC) then only first recipient gets email. Second and next recipients get no email message. When we tracking email message on postfix mail server - really only first recipient email message goes throught SMTP mail server and others recipient have no information in log. It seems that ActiveSync cut only first recipient and others are ignored.

Thank You very much for Your response.
Best regards Ales

TagsNo tags attached.

Activities

tfu

tfu

2022-11-12 21:55

reporter   ~0016385

PR 0000333

ales.komarek

ales.komarek

2022-11-13 06:28

reporter   ~0016386

Hello.
This is no filter problem. We use SOGo many years with success.
Our SOGo was without troubles at this monday (7.11.2022), but we use nightly builds installed about two times at week. And at friday (11.11.2022) we detected that we have trouble send emails more recipients over Outlook 2021 client connected over ActiveSync. We assume that this is new SOGo issue.
Is there any possibility download SOGo nighly builds before 7.11.2022?
Thanks.

ales.komarek

ales.komarek

2022-11-14 06:57

reporter   ~0016387

Hello.
If we debugging sending email with more recipients than only one by SOGoEASDebugEnabled = YES in /etc/sogo/sogo.conf then we get in logfile /var/log/sogo/sogo.log this loop:

Nov 14 07:47:46 sogod [2672095]: 1.2.3.4 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=SendMail&User=XXXXX&DeviceId=5CFD5BC519F94933A5FF3B69139A3C7B&DeviceType=WindowsOutlook15 HTTP/1.1" 200 0/5165 0.300 - - 316K - 15
Nov 14 07:47:48 sogod [2672097]: 1.2.3.4 "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=XXXXXX&DeviceId=5CFD5BC519F94933A5FF3B69139A3C7B&DeviceType=WindowsOutlook15 HTTP/1.1" 200 0/5700 3.084 - - 0 - 15
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbad633b0[WOWatchDog]> Terminating with SIGINT or SIGTERM
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbaef2f20[WOWatchDogChild]> sending terminate signal to pid 2672109
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbaf32b50[WOWatchDogChild]> sending terminate signal to pid 2672108
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae38360[WOWatchDogChild]> sending terminate signal to pid 2672107
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae2b400[WOWatchDogChild]> sending terminate signal to pid 2672106
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae2c7c0[WOWatchDogChild]> sending terminate signal to pid 2672105
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae3e4b0[WOWatchDogChild]> sending terminate signal to pid 2672104
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae36ce0[WOWatchDogChild]> sending terminate signal to pid 2672103
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae37180[WOWatchDogChild]> sending terminate signal to pid 2672102
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae37450[WOWatchDogChild]> sending terminate signal to pid 2672101
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae37eb0[WOWatchDogChild]> sending terminate signal to pid 2672100
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae2af40[WOWatchDogChild]> sending terminate signal to pid 2672097
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae10df0[WOWatchDogChild]> sending terminate signal to pid 2672096
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae11290[WOWatchDogChild]> sending terminate signal to pid 2672095
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae116b0[WOWatchDogChild]> sending terminate signal to pid 2672094
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae122e0[WOWatchDogChild]> sending terminate signal to pid 2672093
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae29df0[WOWatchDogChild]> sending terminate signal to pid 2672092
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae2a210[WOWatchDogChild]> sending terminate signal to pid 2672091
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae2a4e0[WOWatchDogChild]> sending terminate signal to pid 2672090
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbad4ae00[WOWatchDogChild]> sending terminate signal to pid 2672089
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae109c0[WOWatchDogChild]> sending terminate signal to pid 2672088
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadeb480[WOWatchDogChild]> sending terminate signal to pid 2672087
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadeb8a0[WOWatchDogChild]> sending terminate signal to pid 2672086
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadeea80[WOWatchDogChild]> sending terminate signal to pid 2672085
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae0f910[WOWatchDogChild]> sending terminate signal to pid 2672084
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae0fd50[WOWatchDogChild]> sending terminate signal to pid 2672083
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae10020[WOWatchDogChild]> sending terminate signal to pid 2672082
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbae10910[WOWatchDogChild]> sending terminate signal to pid 2672081
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadeaa20[WOWatchDogChild]> sending terminate signal to pid 2672080
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd97c0[WOWatchDogChild]> sending terminate signal to pid 2672079
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd9c70[WOWatchDogChild]> sending terminate signal to pid 2672075
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd9e80[WOWatchDogChild]> sending terminate signal to pid 2672074
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadda060[WOWatchDogChild]> sending terminate signal to pid 2672073
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadf1b70[WOWatchDogChild]> sending terminate signal to pid 2672072
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadea290[WOWatchDogChild]> sending terminate signal to pid 2672071
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadea750[WOWatchDogChild]> sending terminate signal to pid 2672070
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd9320[WOWatchDogChild]> sending terminate signal to pid 2672069
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8960[WOWatchDogChild]> sending terminate signal to pid 2672068
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8ca0[WOWatchDogChild]> sending terminate signal to pid 2672067
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8d50[WOWatchDogChild]> sending terminate signal to pid 2672061
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8e00[WOWatchDogChild]> sending terminate signal to pid 2672060
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8f10[WOWatchDogChild]> sending terminate signal to pid 2672059
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8fc0[WOWatchDogChild]> sending terminate signal to pid 2672058
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd9220[WOWatchDogChild]> sending terminate signal to pid 2672057
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8810[WOWatchDogChild]> sending terminate signal to pid 2672056
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8140[WOWatchDogChild]> sending terminate signal to pid 2672055
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8250[WOWatchDogChild]> sending terminate signal to pid 2672054
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8300[WOWatchDogChild]> sending terminate signal to pid 2672053
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd83c0[WOWatchDogChild]> sending terminate signal to pid 2672052
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8560[WOWatchDogChild]> sending terminate signal to pid 2672051
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8610[WOWatchDogChild]> sending terminate signal to pid 2672050
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd86c0[WOWatchDogChild]> sending terminate signal to pid 2672049
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd8090[WOWatchDogChild]> sending terminate signal to pid 2672048
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd79e0[WOWatchDogChild]> sending terminate signal to pid 2672047
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7a90[WOWatchDogChild]> sending terminate signal to pid 2672046
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7be0[WOWatchDogChild]> sending terminate signal to pid 2672045
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7d30[WOWatchDogChild]> sending terminate signal to pid 2672044
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7e80[WOWatchDogChild]> sending terminate signal to pid 2672043
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7f30[WOWatchDogChild]> sending terminate signal to pid 2672042
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7fe0[WOWatchDogChild]> sending terminate signal to pid 2672041
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7930[WOWatchDogChild]> sending terminate signal to pid 2672040
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd6aa0[WOWatchDogChild]> sending terminate signal to pid 2672039
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7010[WOWatchDogChild]> sending terminate signal to pid 2672038
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7160[WOWatchDogChild]> sending terminate signal to pid 2672037
Nov 14 07:48:04 sogod [2672035]: <0x0x557bbadd7670[WOWatchDogChild]> sending terminate signal to pid 2672036
2022-11-14 07:48:04.078 sogod[2672036:2672036] Forcing termination of EAS loop.

Only first recipient gets email message.

We hope that this help ...

Regards, Ales

smizrahi

smizrahi

2022-11-14 13:51

administrator   ~0016388

Hi @ales.komarek,

The @tfu fix has been merged.
You'll be able to test the fix in tomorrow's nightly build.

You can install desired nightly build version. To do that you need to specify the version (e.g. 5.7.1.20221113-1) .

For your logs please provide debugging info : https://www.sogo.nu/support/faq/how-do-i-debug-sogo.html

Sebastien

ales.komarek

ales.komarek

2022-11-15 13:40

reporter   ~0016392

Hello.
Thank You very much for fix - great it's working.
Regards, Ales

Issue History

Date Modified Username Field Change
2022-11-12 06:53 ales.komarek New Issue
2022-11-12 21:55 tfu Note Added: 0016385
2022-11-13 06:28 ales.komarek Note Added: 0016386
2022-11-14 06:57 ales.komarek Note Added: 0016387
2022-11-14 13:51 smizrahi Note Added: 0016388
2022-11-15 13:40 ales.komarek Note Added: 0016392
2022-11-23 13:30 smizrahi Assigned To => smizrahi
2022-11-23 13:30 smizrahi Status new => resolved
2022-11-23 13:30 smizrahi Resolution open => fixed
2022-11-23 13:30 smizrahi Fixed in Version => 5.8.0